# $Revision: 1.11 $, $Date: 2003/03/15 15:10:15 $
Summary:	Muscle PCSC Framework for Linux
Summary(pl):	rodowisko PCSC dla Linuksa
Name:		pcsc-lite
Version:	1.1.1
Release:	2
License:	BSD
Group:		Daemons
Source0:	http://linuxnet.com/middleware/file/%{name}-%{version}.tar.gz
Source1:	%{name}-pcscd.init
Source2:	%{name}-pcscd.sysconfig
Patch0:		%{name}-fhs.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-amfix.patch
URL:		http://www.linuxnet.com/middle.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libtool
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pcscd is the daemon program for PC/SC Lite. It is a resource manager
that coorinates communications with Smart Card readers and Smart Cards
that are connected to the system. The purpose of PCSC Lite is to
provide a Windows(R) SCard interface in a very small form factor for
communicating to smartcards and readers. PCSC Lite uses the same
winscard api as used under Windows(R).

%description -l pl
pcscd jest demonem dla PC/SC Lite. Jest to zarzdca zasobw,
koordynujcy komunikacj z czytnikami kart procesorowych podczonymi
do systemu. Celem PCSC Lite jest udostpnienie interfejsu zgodnego z
Windows(R) SCard sucego do komunikacji z czytnikami kart chipowych.
Uywa tego samego API winscard, ktre jest uywane pod Microsoft(TM)
Windows(R).

%package libs
Summary:	PC/SC Lite libraries
Summary(pl):	Biblioteki PC/SC Lite
Group:		Libraries

%description libs
PC/SC Lite libraries.

%description libs -l pl
Biblioteki PC/SC Lite.

%package devel
Summary:	PC/SC Lite development files
Summary(pl):	Pliki dla programistw uywajcych PC/SC Lite
Group:		Development/Tools
Requires:	%{name}-libs = %{version}

%description devel
PC/SC Lite development files.

%description devel -l pl
Pliki dla programistw uywajcych PC/SC Lite.

%package static
Summary:	Static PC/SC Lite libraries
Summary(pl):	Biblioteki statyczne PC/SC Lite
Group:		Development/Tools
Requires:	%{name}-devel = %{version}

%description static
Static PC/SC Lite libraries.

%description static -l pl
Statyczne biblioteki PC/SC Lite.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/pcsc/{drivers,services} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useful for drivers development
install src/ifdhandler.h $RPM_BUILD_ROOT%{_includedir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/pcscd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/pcscd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pcscd
if [ -f /var/lock/subsys/pcscd ]; then
	/etc/rc.d/init.d/pcscd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/pcscd start\" to start pcscd daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/pcscd ]; then
		/etc/rc.d/init.d/pcscd stop >&2
	fi
	/sbin/chkconfig --del pcscd
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING DRIVERS NEWS HELP README SECURITY doc/{README.DAEMON,*.pdf,pcscd.startup}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/reader.conf
%attr(754,root,root) /etc/rc.d/init.d/pcscd
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/pcscd
%attr(755,root,root) %{_sbindir}/pcscd
%attr(755,root,root) %{_bindir}/bundleTool
%attr(755,root,root) %{_bindir}/formaticc
%attr(755,root,root) %{_bindir}/installifd
%{_libdir}/pcsc
%{_mandir}/man1/bundleTool.1*
%{_mandir}/man8/pcscd.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/libpcsc*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pcsc-lite.spec,v $
Revision 1.11  2003/03/15 15:10:15  qboosh
- link libpcsclite with -lpthread (link patch), added BRs

Revision 1.10  2003/03/11 10:37:41  qboosh
- added init script
- added fhs patch and /usr/lib/pcsc/{drivers,services} dirs

Revision 1.9  2003/03/05 14:30:22  qboosh
- added ifdhandler.h to -devel

Revision 1.8  2003/02/27 13:14:41  qboosh
- cleanups and fixes, removed perl and tools (will be in separate packages)

Revision 1.7  2002/12/26 13:48:53  qboosh
- pl, cleanups

Revision 1.6  2002/12/18 21:58:12  hunter
-added some utils

Revision 1.5  2002/12/03 21:34:37  ankry
- cleaning

Revision 1.4  2002/11/30 10:53:38  qboosh
- some cleanups

Revision 1.3  2002/11/21 17:45:45  hunter
-static & libs.

Revision 1.2  2002/11/21 16:50:21  hunter
-- +-devel

Revision 1.1  2002/11/21 16:32:03  hunter
-first milestep in road to passwordless workstation :)
-it's soft for some cardreaders.
